diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 855c11b..e43566c 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -25431,7 +25431,7 @@ Dequeue(S:SetCategory): DequeueAggregate S with
 )set message test on
 )set message auto off
 )clear all
---S 1 of 34
+--S 1 of 36
 coefRing := Integer
 --R 
 --R
@@ -25439,7 +25439,7 @@ coefRing := Integer
 --R                                                                 Type: Domain
 --E 1
 
---S 2 of 34
+--S 2 of 36
 lv : List Symbol := [x,y,z] 
 --R 
 --R
@@ -25447,7 +25447,7 @@ lv : List Symbol := [x,y,z]
 --R                                                           Type: List(Symbol)
 --E 2
 
---S 3 of 34
+--S 3 of 36
 der := DERHAM(coefRing,lv) 
 --R 
 --R
@@ -25455,7 +25455,7 @@ der := DERHAM(coefRing,lv)
 --R                                                                 Type: Domain
 --E 3
 
---S 4 of 34
+--S 4 of 36
 R := Expression coefRing
 --R 
 --R
@@ -25463,7 +25463,7 @@ R := Expression coefRing
 --R                                                                 Type: Domain
 --E 4
 
---S 5 of 34
+--S 5 of 36
 f : R := x**2*y*z-5*x**3*y**2*z**5
 --R 
 --R
@@ -25472,7 +25472,7 @@ f : R := x**2*y*z-5*x**3*y**2*z**5
 --R                                                    Type: Expression(Integer)
 --E 5
 
---S 6 of 34
+--S 6 of 36
 g : R := z**2*y*cos(z)-7*sin(x**3*y**2)*z**2 
 --R 
 --R
@@ -25481,7 +25481,7 @@ g : R := z**2*y*cos(z)-7*sin(x**3*y**2)*z**2
 --R                                                    Type: Expression(Integer)
 --E 6
 
---S 7 of 34
+--S 7 of 36
 h : R :=x*y*z-2*x**3*y*z**2 
 --R 
 --R
@@ -25490,7 +25490,7 @@ h : R :=x*y*z-2*x**3*y*z**2
 --R                                                    Type: Expression(Integer)
 --E 7
 
---S 8 of 34
+--S 8 of 36
 dx : der := generator(1)
 --R 
 --R
@@ -25498,7 +25498,7 @@ dx : der := generator(1)
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 8
 
---S 9 of 34
+--S 9 of 36
 dy : der := generator(2)
 --R 
 --R
@@ -25506,7 +25506,7 @@ dy : der := generator(2)
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 9
 
---S 10 of 34
+--S 10 of 36
 dz : der := generator(3)
 --R 
 --R
@@ -25514,7 +25514,7 @@ dz : der := generator(3)
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 10
 
---S 11 of 34
+--S 11 of 36
 [dx,dy,dz] := [generator(i)$der for i in 1..3]
 --R 
 --R
@@ -25522,7 +25522,7 @@ dz : der := generator(3)
 --R                                   Type: List(DeRhamComplex(Integer,[x,y,z]))
 --E 11
 
---S 12 of 34
+--S 12 of 36
 alpha : der := f*dx + g*dy + h*dz
 --R 
 --R
@@ -25535,7 +25535,7 @@ alpha : der := f*dx + g*dy + h*dz
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 12
 
---S 13 of 34
+--S 13 of 36
 beta  : der := cos(tan(x*y*z)+x*y*z)*dx + x*dy
 --R 
 --R
@@ -25543,7 +25543,7 @@ beta  : der := cos(tan(x*y*z)+x*y*z)*dx + x*dy
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 13
 
---S 14 of 34
+--S 14 of 36
 exteriorDifferential alpha
 --R 
 --R
@@ -25559,7 +25559,7 @@ exteriorDifferential alpha
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 14
 
---S 15 of 34
+--S 15 of 36
 exteriorDifferential %
 --R 
 --R
@@ -25567,7 +25567,7 @@ exteriorDifferential %
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 15
 
---S 16 of 34
+--S 16 of 36
 gamma := alpha * beta
 --R 
 --R
@@ -25580,7 +25580,7 @@ gamma := alpha * beta
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 16
 
---S 17 of 34
+--S 17 of 36
 exteriorDifferential(gamma) - (exteriorDifferential(alpha)*beta - alpha * exteriorDifferential(beta)) 
 --R 
 --R
@@ -25588,7 +25588,7 @@ exteriorDifferential(gamma) - (exteriorDifferential(alpha)*beta - alpha * exteri
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 17
 
---S 18 of 34
+--S 18 of 36
 a : BOP := operator('a)
 --R 
 --R
@@ -25596,7 +25596,7 @@ a : BOP := operator('a)
 --R                                                          Type: BasicOperator
 --E 18
 
---S 19 of 34
+--S 19 of 36
 b : BOP := operator('b)
 --R 
 --R
@@ -25604,7 +25604,7 @@ b : BOP := operator('b)
 --R                                                          Type: BasicOperator
 --E 19
 
---S 20 of 34
+--S 20 of 36
 c : BOP := operator('c)
 --R 
 --R
@@ -25612,7 +25612,7 @@ c : BOP := operator('c)
 --R                                                          Type: BasicOperator
 --E 20
 
---S 21 of 34
+--S 21 of 36
 sigma := a(x,y,z) * dx + b(x,y,z) * dy + c(x,y,z) * dz 
 --R 
 --R
@@ -25620,7 +25620,7 @@ sigma := a(x,y,z) * dx + b(x,y,z) * dy + c(x,y,z) * dz
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 21
 
---S 22 of 34
+--S 22 of 36
 theta  := a(x,y,z) * dx * dy + b(x,y,z) * dx * dz + c(x,y,z) * dy * dz 
 --R 
 --R
@@ -25628,7 +25628,7 @@ theta  := a(x,y,z) * dx * dy + b(x,y,z) * dx * dz + c(x,y,z) * dy * dz
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 22
 
---S 23 of 34
+--S 23 of 36
 totalDifferential(a(x,y,z))$der 
 --R 
 --R
@@ -25637,7 +25637,7 @@ totalDifferential(a(x,y,z))$der
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 23
 
---S 24 of 34
+--S 24 of 36
 exteriorDifferential sigma
 --R 
 --R
@@ -25650,7 +25650,7 @@ exteriorDifferential sigma
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 24
 
---S 25 of 34
+--S 25 of 36
 exteriorDifferential theta
 --R 
 --R
@@ -25659,7 +25659,7 @@ exteriorDifferential theta
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 25
 
---S 26 of 34
+--S 26 of 36
 one : der := 1
 --R 
 --R
@@ -25667,7 +25667,7 @@ one : der := 1
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 26
 
---S 27 of 34
+--S 27 of 36
 g1 : der := a([x,t,y,u,v,z,e]) * one 
 --R 
 --R
@@ -25675,7 +25675,7 @@ g1 : der := a([x,t,y,u,v,z,e]) * one
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 27
 
---S 28 of 34
+--S 28 of 36
 h1 : der := a([x,y,x,t,x,z,y,r,u,x]) * one 
 --R 
 --R
@@ -25683,7 +25683,7 @@ h1 : der := a([x,y,x,t,x,z,y,r,u,x]) * one
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 28
 
---S 29 of 34
+--S 29 of 36
 exteriorDifferential g1 
 --R 
 --R
@@ -25692,7 +25692,7 @@ exteriorDifferential g1
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 29
 
---S 30 of 34
+--S 30 of 36
 exteriorDifferential h1
 --R 
 --R
@@ -25713,7 +25713,7 @@ exteriorDifferential h1
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 30
 
---S 31 of 34
+--S 31 of 36
 coefficient(gamma, dx*dy)
 --R 
 --R
@@ -25722,7 +25722,7 @@ coefficient(gamma, dx*dy)
 --R                                                    Type: Expression(Integer)
 --E 31
 
---S 32 of 34
+--S 32 of 36
 coefficient(gamma, one)
 --R 
 --R
@@ -25730,7 +25730,7 @@ coefficient(gamma, one)
 --R                                                    Type: Expression(Integer)
 --E 32
 
---S 33 of 34
+--S 33 of 36
 coefficient(g1,one)
 --R 
 --R
@@ -25738,7 +25738,7 @@ coefficient(g1,one)
 --R                                                    Type: Expression(Integer)
 --E 33
 
---S 34 of 34
+--S 34 of 36
 gamma := alpha * beta
 --R 
 --R
@@ -25750,6 +25750,23 @@ gamma := alpha * beta
 --R   ((7z sin(x y ) - y z cos(z))cos(tan(x y z) + x y z) - 5x y z  + x y z)dx dy
 --R                                         Type: DeRhamComplex(Integer,[x,y,z])
 --E 34
+
+--S 35 of 36
+t1:=generator(1)$der
+--R 
+--R
+--R   (35)  dx
+--R                                         Type: DeRhamComplex(Integer,[x,y,z])
+--E 35
+
+--S 36 of 36
+degree(t1)
+--R 
+--R
+--R   (36)  1
+--R                                                        Type: PositiveInteger
+--E 36
+
 )spool
 )lisp (bye)
 \end{chunk}
@@ -26092,7 +26109,7 @@ DeRhamComplex(CoefRing,listIndVar:List Symbol): Export == Implement where
       retractable?       : %           -> Boolean
         ++  retractable?(df) tests if differential form df is a 0-form,
         ++  i.e., if degree(df) = 0.
-      degree             : %           -> I
+      degree             : %           -> NNI
         ++  degree(df) returns the homogeneous degree of differential form df.
       map                : (R -> R, %) -> %
         ++  map(f,df) replaces each coefficient x of differential 
diff --git a/changelog b/changelog
index 0441345..9c8a661 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20141006 kxp src/axiom-website/patches.html 20141006.01.kxp.patch
+20141006 kxp books/bookvol10.3 DERHAM: fix signature of 'degree'
+20141006 kxp Kurt Pagani <nilqed@gmail.com>
 20141004 tpd src/axiom-website/patches.html 20141004.05.tpd.patch
 20141004 tpd books/endpaper fix algebra hierarchy for OSAGP change
 20141004 tpd src/axiom-website/patches.html 20141004.04.tpd.patch
diff --git a/patch b/patch
index 5904a2d..554e7b0 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-books/endpaper fix algebra hierarchy for OSAGP change
+books/bookvol10.3 DERHAM: fix signature of 'degree'
 
-rearrange the endpaper diagram
+Kurt Pagani <nilqed@gmail.com> found and posted a fix
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e79472b..9a78b64 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4670,6 +4670,8 @@ books/bookvol10.2 fix OrderedAbelianSemiGroup<br/>
 src/share/algebra/*.daase update databases<br/>
 <a href="patches/20141004.05.tpd.patch">20141004.05.tpd.patch</a>
 books/endpaper fix algebra hierarchy for OSAGP change<br/>
+<a href="patches/20141006.01.kxp.patch">20141006.01.kxp.patch</a>
+books/bookvol10.3 DERHAM: fix signature of 'degree'<br/>
  </body>
 </html>
 
